* PACKAGE GTINTFC  !" GTOOL3 実数精度変換インターフェース(ZHPACA)
*
*"  [HIS] 96/03/11(takepiro) 自動倍精度コンパイル禁止
*
***********************************************************************
*"         << 格子情報ヘッダーパック >>
**********************************************************************
      SUBROUTINE ZHPACA
     O         ( HHEADA,
     I           HKIND , HITEM ,
     I           HTITL , HUNIT ,
     I           IXDIM ,
     I           HDFMT , VMISS ,
     I           DMIN  , DMAX  , DIVS  , DIVL  , ISTYP  )
*
      CHARACTER  HHEADA ( * )*(*)        !" ヘッダー
      CHARACTER  HKIND       *(*)        !" 格子情報の種類
      CHARACTER  HITEM       *(*)        !" 格子識別名称
      CHARACTER  HTITL       *(*)        !" 軸タイトル
      CHARACTER  HUNIT       *(*)        !" 単位
      INTEGER    IXDIM                   !" 格子数
      CHARACTER  HDFMT       *(*)        !" データフォーマット
*
#ifdef AUTO_DBL
      REAL*8     VMISS                   !" 欠損値の値
      REAL*8     DMIN                    !" レンジ(最小)
      REAL*8     DMAX                    !" レンジ(最大)
      REAL*8     DIVS                    !" 間隔(小)
      REAL*8     DIVL                    !" 間隔(大)
#else
      REAL*4     VMISS                   !" 欠損値の値
      REAL*4     DMIN                    !" レンジ(最小)
      REAL*4     DMAX                    !" レンジ(最大)
      REAL*4     DIVS                    !" 間隔(小)
      REAL*4     DIVL                    !" 間隔(大)
#endif
      INTEGER    ISTYP                   !" スケーリングタイプ
*
* [INTERNAL WORK]
      REAL*4     VMISSX                  !" 欠損値の値
*
      REAL*4     DMINX                   !" レンジ(最小)
      REAL*4     DMAXX                   !" レンジ(最大)
      REAL*4     DIVSX                   !" 間隔(小)
      REAL*4     DIVLX                   !" 間隔(大)
*
      VMISSX = VMISS
      DMINX  = DMIN
      DMAXX  = DMAX
      DIVSX  = DIVS
      DIVLX  = DIVL
*
      CALL GHPACA
     O         ( HHEADA,
     I           HKIND , HITEM ,
     I           HTITL , HUNIT ,
     I           IXDIM ,
     I           HDFMT , VMISSX,
     I           DMINX , DMAXX , DIVSX , DIVLX , ISTYP  )
*
      RETURN
      END
